import { CollectionData, CollectionRequest } from '../interfaces/collection.interface';
import { Observable } from 'rxjs';
export declare abstract class CollectionProvider<T> {
    abstract transform(request: CollectionRequest): Observable<CollectionData<T>>;
    protected formatArrayToCollectionData(items: T[]): CollectionData<T>;
}
