import { ElementRef, OnDestroy, OnInit, ViewContainerRef } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { BbCombobox } from './combobox.component';
import * as i0 from "@angular/core";
export declare class BbComboboxContainer implements OnInit, OnDestroy {
    private _overlay;
    private _combobox;
    private _viewContainerRef;
    private _elementRef;
    private _window;
    private _overlayRef;
    private _subscription;
    constructor(_overlay: Overlay, _combobox: BbCombobox, _viewContainerRef: ViewContainerRef, _elementRef: ElementRef<HTMLElement>, _window: Window);
    get width(): number;
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggle(): void;
    open(): void;
    close(): void;
    private getPositionStrategy;
    private getPositions;
    private resize;
    private createOverlay;
    private handleBackdropClick;
    private handleResizing;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbComboboxContainer, [null, null, null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BbComboboxContainer, "[bbComboboxContainer]", never, {}, {}, never, never, true, never>;
}
