import { EventEmitter, Renderer2 } from '@angular/core';
import { Platform } from '@angular/cdk/platform';
import { Files } from '@bravobit/bb-foundation';
import * as i0 from "@angular/core";
export declare class BbImageUpload {
    private _files;
    private _platform;
    private _renderer;
    width: number | null;
    height: number | null;
    mode: 'aspect-fit' | 'aspect-fill';
    type: 'png' | 'jpg';
    onDataUri: EventEmitter<string>;
    onFile: EventEmitter<File>;
    constructor(_files: Files, _platform: Platform, _renderer: Renderer2);
    onClick(): Promise<void>;
    private openFilePicker;
    private toDataUri;
    private toImage;
    private scaleImage;
    private getExportType;
    private getScaleByMode;
    private getFileName;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbImageUpload, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BbImageUpload, "button[bbImageUpload]", never, { "width": { "alias": "bbImageUploadWidth"; "required": false; }; "height": { "alias": "bbImageUploadHeight"; "required": false; }; "mode": { "alias": "bbImageUploadMode"; "required": false; }; "type": { "alias": "bbImageUploadType"; "required": false; }; }, { "onDataUri": "onDataUri"; "onFile": "onFile"; }, never, never, true, never>;
    static ngAcceptInputType_width: unknown;
    static ngAcceptInputType_height: unknown;
}
