import { TemplateRef } from '@angular/core';
import { NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class BbFormControl {
    readonly labelId: string;
    ngControl: NgControl;
    label: string | TemplateRef<any> | null;
    hint: string | TemplateRef<any> | null;
    grouped: boolean;
    hideErrors: boolean;
    error: boolean;
    onErrorChange(error: {
        token: string;
        data?: any;
    } | null): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbFormControl, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbFormControl, "bb-form-control", never, { "label": { "alias": "label"; "required": false; }; "hint": { "alias": "hint"; "required": false; }; "grouped": { "alias": "grouped"; "required": false; }; "hideErrors": { "alias": "hideErrors"; "required": false; }; }, {}, ["ngControl"], ["[bbPrefix]", "[bbInput]", "[bbSuffix]"], true, never>;
    static ngAcceptInputType_grouped: unknown;
    static ngAcceptInputType_hideErrors: unknown;
}
