import { FileLoader } from './file-loader.service';
import { Platform } from '@angular/cdk/platform';
import { Exif } from './exif.service';
import * as i0 from "@angular/core";
export declare class ImageConverter {
    private _exif;
    private _platform;
    private _fileLoader;
    private readonly _types;
    constructor(_exif: Exif, _platform: Platform, _fileLoader: FileLoader);
    toDataUri(contents: string | File | HTMLImageElement, options?: {
        width: number;
        height: number;
    } | null): Promise<string>;
    fileToImage(file: File, types?: string[]): Promise<HTMLImageElement>;
    stringToImage(src: string): Promise<HTMLImageElement>;
    private getImage;
    private calculateOffsetAndDimensions;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageConverter, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ImageConverter>;
}
