import { LocalizeFunction } from './interfaces/functions.interfaces';
import { LocalizeMissingHandler } from './handlers/missing.handler';
import { LocalizeTransform } from './transforms/abstract.transform';
import { InjectionToken } from '@angular/core';
import { LocalizeConfig } from './interfaces/config.interfaces';
import { Observable } from 'rxjs';
export declare const LOCALIZE_FUNCTION: InjectionToken<LocalizeFunction[]>;
export declare const LOCALIZE_CONFIG: InjectionToken<LocalizeConfig>;
export declare const LOCALIZE_TRANSFORM: InjectionToken<LocalizeTransform[]>;
export declare const LOCALIZE_MISSING_HANDLER: InjectionToken<LocalizeMissingHandler>;
export declare const LOCALIZE_ID: InjectionToken<Observable<string>>;
