import { AfterViewInit, ChangeDetectorRef, OnDestroy, QueryList, TemplateRef } from '@angular/core';
import { BbLocalizeTemplate } from '../localize-template.directive';
import * as i0 from "@angular/core";
export declare class BbLocalizeString implements AfterViewInit, OnDestroy {
    private _changeDetection;
    items?: QueryList<BbLocalizeTemplate>;
    substitutions: [string, string];
    components: (string | TemplateRef<any>)[];
    private _subscription;
    private _value;
    set value(value: string | null);
    get value(): string | null;
    constructor(_changeDetection: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private observeItemChanges;
    private revalidate;
    private setComponents;
    private getStringComponents;
    private getSubstitutions;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbLocalizeString, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbLocalizeString, "[bb-localize-string]", never, { "substitutions": { "alias": "substitutions"; "required": false; }; "value": { "alias": "bb-localize-string"; "required": false; }; }, {}, ["items"], never, true, never>;
}
