import { TemplateRef } from '@angular/core';
import { BbComboboxContainer } from '../combobox/combobox-container.directive';
import { ComboboxItem, ComboboxOptionContext } from '../combobox.interface';
import { BbCombobox } from '../combobox/combobox.component';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
import * as i1 from "@angular/cdk/a11y";
export declare class BbComboboxPanel {
    private _combobox;
    private _container;
    readonly items$: Observable<ComboboxItem<unknown>[]>;
    readonly optionTemplate: TemplateRef<ComboboxOptionContext>;
    animation: boolean;
    constructor(_combobox: BbCombobox, _container: BbComboboxContainer);
    select(item: ComboboxItem<unknown>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbComboboxPanel, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbComboboxPanel, "bb-combobox-panel", never, {}, {}, never, never, true, [{ directive: typeof i1.CdkTrapFocus; inputs: {}; outputs: {}; }]>;
}
