import { OnDestroy, OnInit } from '@angular/core';
import { BbDashboardSidebar } from '../dashboard-sidebar/dashboard-sidebar.component';
import * as i0 from "@angular/core";
export declare class BbDashboardSidebarGroup implements OnInit, OnDestroy {
    private _parent;
    id: string | null;
    icon: string | null;
    title: string | null;
    disabled: boolean;
    private _isExpanded;
    private _subscription;
    constructor(_parent: BbDashboardSidebar);
    get hasToggle(): boolean;
    get isExpanded(): boolean;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onClick(): void;
    onGroupClicked(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDashboardSidebarGroup, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbDashboardSidebarGroup, "bb-dashboard-sidebar-group", never, { "id": { "alias": "id"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "title": { "alias": "title"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, ["[bb-dashboard-sidebar-item]"], true, never>;
    static ngAcceptInputType_disabled: unknown;
}
