import { ModuleWithProviders } from '@angular/core';
import { DialogConfig } from './dialog.interfaces';
import * as i0 from "@angular/core";
import * as i1 from "./dialog-container/dialog-container.component";
import * as i2 from "./dialog-overlay/dialog-overlay.component";
import * as i3 from "./dialog-modal/dialog-modal.component";
import * as i4 from "./dialog-header/dialog-header.component";
import * as i5 from "./dialog-link/dialog-link.component";
import * as i6 from "./dialog-actions/dialog-actions.component";
import * as i7 from "./dialog-confirm/dialog-confirm.component";
import * as i8 from "./dialog.insertion";
import * as i9 from "./directives/confirm.directive";
export declare class DialogModule {
    static forRoot(config?: DialogConfig): ModuleWithProviders<DialogModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DialogModule, never, [typeof i1.BbDialogContainer, typeof i2.BbDialogOverlay, typeof i3.BbDialogModal, typeof i4.BbDialogHeader, typeof i5.BbDialogLink, typeof i6.BbDialogActions, typeof i7.BbDialogConfirm, typeof i8.BbDialogInsertion, typeof i9.BbConfirm], [typeof i2.BbDialogOverlay, typeof i3.BbDialogModal, typeof i4.BbDialogHeader, typeof i5.BbDialogLink, typeof i6.BbDialogActions, typeof i9.BbConfirm]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DialogModule>;
}
