import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BbButton {
    protected elementRef: ElementRef<HTMLButtonElement>;
    disabled: boolean;
    loading: boolean;
    constructor(elementRef: ElementRef<HTMLButtonElement>);
    focus(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbButton, "button[bb-button]", ["bbButton"], { "disabled": { "alias": "disabled"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; }, {}, never, ["[prefix]", "*", "[suffix]"], true, never>;
    static ngAcceptInputType_disabled: unknown;
    static ngAcceptInputType_loading: unknown;
}
export declare class BbAnchor extends BbButton {
    protected elementRef: ElementRef;
    tabIndex: number | null;
    constructor(elementRef: ElementRef);
    stopDisabledEvents(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbAnchor, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbAnchor, "a[bb-button]", ["bbButton", "bbAnchor"], { "tabIndex": { "alias": "tabIndex"; "required": false; }; }, {}, never, ["[prefix]", "*", "[suffix]"], true, never>;
}
