import { OnDestroy, OnInit } from '@angular/core';
import { TableColumnSortStrategy } from '../../interfaces/table.interfaces';
import { BbTable } from '../table/table.component';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BbTableHeaderCell implements OnInit, OnDestroy {
    private _table?;
    private _name?;
    private readonly _sortDirections;
    private readonly _control;
    disabled: boolean;
    valueChanges$: Observable<string>;
    set sort(value: TableColumnSortStrategy);
    get sort(): TableColumnSortStrategy;
    constructor(_table?: BbTable, _name?: string);
    ngOnInit(): void;
    ngOnDestroy(): void;
    get isDisabled(): boolean;
    onClick(): void;
    private updateTableAndHeaderCell;
    private handleSingleSortingStrategy;
    private logWarning;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbTableHeaderCell, [{ optional: true; host: true; }, { attribute: "name"; optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbTableHeaderCell, "bb-table-header-cell", never, { "disabled": { "alias": "disabled"; "required": false; }; "sort": { "alias": "sort"; "required": false; }; }, {}, never, ["*"], true, never>;
    static ngAcceptInputType_disabled: unknown;
}
